package com.ruoyi.xq.notice.enums;

import lombok.Getter;

@Getter
public enum MessageBaseTypeEnum {
    /**
     * 发送文本消息
     * 使用地方：
     *       付费图片分成、系统奖励、注册奖励云贝、充值云贝发消息、收到礼物发送消息
     *       提现审核失败、提现审核成功、邀请奖励、举报发送消息、未通过女神认证发送消息
     *       通过女神认证发送消息、更改女神邀请比例、收到守护符通知、收到一级vip充值奖励通知
     *       收到男用户购买微信/QQ分成通知、后台视频审核被拒绝的时候，发一个被拒绝的系统通知
     *       用户充值，邀请人返现， 群打招呼审核失败
     */
    TXT(11,"文本消息"),
    SIMPLE_IMAGE_TEXT(12,"单图文消息"),
    MULTIPLE_IMAGE_TEXT(13,"创建多图片消息"),
    SEND_GIFT_MESSAGE(14,"发送礼物自定义消息"),
    IM_VIDEO_MESSAGE(15,"通话通知"),
    SEND_FOLLOW(16,"自定义被关注消息"),
    SEND_FOLLOW_DYNAMIC(17,"关注动态"),
    SEND_ONLINE_ATTENTION(18,"上线了通知"),
    /**
     * ID
     */
    RECHARGE_WINDOWS_AMOUNT(12,"发送充值飘窗提醒"),
    /**
     * ID
     */
    SEND_GIFT_WINDOWS_AMOUNT(13,"礼物飘窗"),



    ;
    private final Integer code;
    private final String name;

    MessageBaseTypeEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }
}
